Package com.collibra.dgc.core.api.dto.meta.domaintype

# Class FindSubDomainTypesRequest

Object
FindSubDomainTypesRequest

All Implemented Interfaces:
  `Serializable`

public class FindSubDomainTypesRequest extends Object implements Serializable
Represents the search criteria to find sub Domain Types.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `FindSubDomainTypesRequest.Builder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FindSubDomainTypesRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FindSubDomainTypesRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `UUID`
  `getDomainTypeId()`
  Required. The ID of the Domain Type to search the subtypes for.
  `int`
  `hashCode()`
  `boolean`
  `isIncludeParent()`
  Whether parent Domain Type should be included in the search result.
  `void`
  `setDomainTypeId(UUID domainTypeId)`
  Required. The ID of the Domain Type to search the subtypes for.
  `void`
  `setIncludeParent(boolean includeParent)`
  Whether parent Domain Type should be included in the search result.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FindSubDomainTypesRequest

    public FindSubDomainTypesRequest()

- ## Method Details

  - ### builder

    public static FindSubDomainTypesRequest.Builder builder()

  - ### getDomainTypeId

    public UUID getDomainTypeId()
    Required. The ID of the Domain Type to search the subtypes for. Supplied as a path parameter in the REST API, not as a query parameter.

  - ### isIncludeParent

    public boolean isIncludeParent()
    Whether parent Domain Type should be included in the search result.

  - ### setDomainTypeId

    public void setDomainTypeId(UUID domainTypeId)
    Required. The ID of the Domain Type to search the subtypes for. Supplied as a path parameter in the REST API, not as a query parameter.

  - ### setIncludeParent

    public void setIncludeParent(boolean includeParent)
    Whether parent Domain Type should be included in the search result.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`